CWaveletSlopeClassifier Class Reference
Perfusion Analysis

Curve classifier for heart perfusion data. More...

`#include <mia/core/waveletslopeclassifier.hh>`

## Public Types

typedef CSlopeColumns | Columns
| typedef to define the matrix of curves
enum | EAnalysisResult { wsc_fail , wsc_no_movement , wsc_low_movement , wsc_normal }

## Public Member Functions

| CWaveletSlopeClassifier ()
| CWaveletSlopeClassifier (const Columns &m, bool mean_stripped, float min_freq)
| CWaveletSlopeClassifier (const CWaveletSlopeClassifier &other)
| CWaveletSlopeClassifier (CWaveletSlopeClassifier &&other)
int | get_baseline_idx () const
int | get_LV_idx () const
int | get_LV_peak () const
int | get_movement_idx () const
float | get_movement_indicator () const
size_t | get_number_of_movement_components () const
int | get_perfusion_idx () const
int | get_RV_idx () const
int | get_RV_peak () const
CWaveletSlopeClassifier & | operator= (const CWaveletSlopeClassifier &other)
| assignment operator
CWaveletSlopeClassifier & | operator= (CWaveletSlopeClassifier &&other)
| move operator
EAnalysisResult | result () const
| ~CWaveletSlopeClassifier ()

## Detailed Description

Curve classifier for heart perfusion data.

Classify a set of curves by using a wavelet analysis. This class is mostly usefull for the analysis of series of perfusion images that are aquired using free breathing or with initial breath holding.

Definition at line 39 of file waveletslopeclassifier.hh.

## Member Typedef Documentation

## Columns

typedef CSlopeColumns CWaveletSlopeClassifier::Columns

typedef to define the matrix of curves

Definition at line 43 of file waveletslopeclassifier.hh.

## Member Enumeration Documentation

## EAnalysisResult

enum CWaveletSlopeClassifier::EAnalysisResult

Enumerate to signal the result of the classification

Enumerator
wsc_fail | no proper identification of slopes could be achieved
wsc_no_movement | no movement detected
wsc_low_movement | low level movement detected
wsc_normal | normal movement detected

Definition at line 49 of file waveletslopeclassifier.hh.

## Constructor & Destructor Documentation

## CWaveletSlopeClassifier() [1/4]

CWaveletSlopeClassifier::CWaveletSlopeClassifier | ( | const Columns & | m,
|  | bool | mean_stripped,
|  | float | min_freq )

Initialize the classifier with the given curves and the information whether the means were stripped

Parameters

  m | matrix of curves
  mean_stripped |
  min_freq | minimum breathing frequency to consider movement, set to <0 to diable this test

Referenced by CWaveletSlopeClassifier(), CWaveletSlopeClassifier(), operator=(), and operator=().

## CWaveletSlopeClassifier() [2/4]

CWaveletSlopeClassifier::CWaveletSlopeClassifier | ( | const CWaveletSlopeClassifier & | other | ) |

copy constructor

References CWaveletSlopeClassifier().

## CWaveletSlopeClassifier() [3/4]

CWaveletSlopeClassifier::CWaveletSlopeClassifier | ( | CWaveletSlopeClassifier && | other | ) |

References CWaveletSlopeClassifier().

## CWaveletSlopeClassifier() [4/4]

CWaveletSlopeClassifier::CWaveletSlopeClassifier | ( |  | ) |

## ~CWaveletSlopeClassifier()

CWaveletSlopeClassifier::~CWaveletSlopeClassifier | ( |  | ) |

## Member Function Documentation

## get_baseline_idx()

int CWaveletSlopeClassifier::get_baseline_idx | ( |  | ) | const

Returns
  the index of the baseline curve or -1 if not identified

## get_LV_idx()

int CWaveletSlopeClassifier::get_LV_idx | ( |  | ) | const

Returns
  the index of the LV enhancement curve or -1 if not identified

## get_LV_peak()

int CWaveletSlopeClassifier::get_LV_peak | ( |  | ) | const

Returns
  the time index of the LV peak image or -1 if not identified

## get_movement_idx()

int CWaveletSlopeClassifier::get_movement_idx | ( |  | ) | const

Returns
  the index of the periodic curve or -1 if none was found

## get_movement_indicator()

float CWaveletSlopeClassifier::get_movement_indicator | ( |  | ) | const

Returns
  get main breathing movement component energy.

## get_number_of_movement_components()

size_t CWaveletSlopeClassifier::get_number_of_movement_components | ( |  | ) | const

Returns
  get number of movement components.

## get_perfusion_idx()

int CWaveletSlopeClassifier::get_perfusion_idx | ( |  | ) | const

Returns
  the index of the perfusion curve or -1 if not identified

## get_RV_idx()

int CWaveletSlopeClassifier::get_RV_idx | ( |  | ) | const

Returns
  the index of the RV enhancement curve or -1 if not identified

## get_RV_peak()

int CWaveletSlopeClassifier::get_RV_peak | ( |  | ) | const

Returns
  the time index of the RV peak image or -1 if not identified

## operator=() [1/2]

CWaveletSlopeClassifier & CWaveletSlopeClassifier::operator= | ( | const CWaveletSlopeClassifier & | other | ) |

assignment operator

References CWaveletSlopeClassifier().

## operator=() [2/2]

CWaveletSlopeClassifier & CWaveletSlopeClassifier::operator= | ( | CWaveletSlopeClassifier && | other | ) |

move operator

References CWaveletSlopeClassifier().

## result()

EAnalysisResult CWaveletSlopeClassifier::result | ( |  | ) | const

Returns
  the general result of the identification

The documentation for this class was generated from the following file:

- waveletslopeclassifier.hh